stunnel4 (3:5.77-1) unstable; urgency=medium

  * Declare compliance with Policy 4.7.3, drop the implied Priority: optional.
  * Add the year 2026 to my debian/* copyright notice.
  * Add Salsa CI configuration.
  * Override the "no systemd unit file" Lintian error, we do install systemd
    unit files under different names.
  * New upstream release:
    - drop the 06-no-openssl-version-check-autopkgtest and
      07-reproducible-build patches, integrated upstream
    - refresh the 02-rename-binary patch

 -- Peter Pentchev <roam@debian.org>  Wed, 18 Feb 2026 12:50:42 +0200

stunnel4 (3:5.76-1) unstable; urgency=medium

  * Declare compliance with Policy 4.7.2 with no changes.
  * Drop the FTP site from the watch file.
  * Convert the watch file to version 5 of the format.
  * Drop our home-grown test suite, the upstream one suffices.
  * New upstream release.
  * Try to re-enable the build-time test suite on 32-bit architectures.

 -- Peter Pentchev <roam@debian.org>  Thu, 23 Oct 2025 21:50:10 +0300

stunnel4 (3:5.74-2) unstable; urgency=medium

  * Refresh the debputy-style formatting.
  * autopkgtest fixes and minor refactoring:
    - regenerate the test key and certificate; Closes: #1078645
    - use Ruff 0.9.3 with no changes
    - nix internal test suite:
      - make py-ver a string
      - drop the "3" part of py-ver
      - make sure we use the correct Python version
  * Add the year 2025 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Tue, 28 Jan 2025 15:13:42 +0200

stunnel4 (3:5.74-1) unstable; urgency=medium

  * New upstream release.
  * autopkgtest: use Ruff 0.8.3 with no real changes: override some new
    checks related to docstrings, drop an obsolete override.

 -- Peter Pentchev <roam@debian.org>  Fri, 13 Dec 2024 21:33:23 +0200

stunnel4 (3:5.73-1) unstable; urgency=medium

  * New upstream release:
    - drop the 08-smtp-ehlo patch, integrated upstream
    - refresh the 02-rename-binary patch

 -- Peter Pentchev <roam@debian.org>  Thu, 24 Oct 2024 12:00:56 +0300

stunnel4 (3:5.72-4) unstable; urgency=medium

  * Fix FTBFS with debhelper 13.17 and later: we override dh_auto_install,
    so it is on us to pass --destdir now.
  * Override Lintian's still not quite correct debhelper 14 checks.
  * Let debhelper take care of some default dependencies.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Mon, 26 Aug 2024 22:24:15 +0300

stunnel4 (3:5.72-3) unstable; urgency=medium

  * autopkgtest: use Ruff 0.3.5 with no changes.
  * Use X-DH-Compat instead of debian/compat.
  * Add the 08-smtp-ehlo patch for some SMTP servers.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Add a NEWS entry about the deprecation of the stunnel4.service
    autogenerated by systemd from the SysV init script in favor of
    the per-tunnel stunnel@ template.

 -- Peter Pentchev <roam@debian.org>  Thu, 11 Apr 2024 12:51:38 +0300

stunnel4 (3:5.72-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Don't run build-time tests on the 32-bit non-i386 architectures.
    This allows libcurl to be rebuilt on the architectures affected by the
    64-bit time_t transition, which unblocks rebuilding of a lot of the
    C/C++ ecosystem without having to wait for rustc/cargo to be
    re-bootstrapped (#1065787).
    Thanks to Mattia Rizzolo.  Closes: #1066049

  [ Peter Pentchev ]
  * Minor improvements to the autopkgtest Python harness:
    - the test suite for the testing program itself:
      - use Ruff 0.3.2, no changes
      - make the Ruff config simpler
    - let Ruff also validate the docstrings
    - use Ruff for source code formatting, too
    - let Ruff insist on trailing commas
    - enable Ruff preview mode, disable some checks
    - fix the forgotten f- prefix on two f-strings
    - use a hierarchy of exceptions
  * Add the 07-reproducible-build patch to use the Debian changelog's date
    instead of the current one. Closes: #1059014

 -- Peter Pentchev <roam@debian.org>  Wed, 13 Mar 2024 23:37:43 +0200

stunnel4 (3:5.72-1) unstable; urgency=medium

  * Minor improvements to the test suite for the autopkgtest suite:
    - tox.ini: reorganize the Tox stage specifications
    - pyproject.toml: Tox stage specifications on separate lines
    - use Ruff 0.2.1: push the settings into ruff.lint, adapt some overrides
  * Switch the build dependency from pkg-config to pkgconf.
  * New upstream version:
    - refresh the 02-rename-binary and 06-no-openssl-version-check-autopkgtest
      patches
    - add python3-cryptography as a test dependency, both at build time and
      for the upstream autopkgtest
  * Add the year 2024 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Thu, 15 Feb 2024 20:47:45 +0200

stunnel4 (3:5.70-2) unstable; urgency=medium

  * Clean up more autogenerated files and Python cache directories.
    Closes: #1047383
  * Use `find -exec ... +` instead of `find | xargs`.
  * Declare dpkg build API level 1 and drop the now-implied
    "Rules-Requires-Root: no" declaration.

 -- Peter Pentchev <roam@debian.org>  Sun, 10 Sep 2023 21:33:59 +0300

stunnel4 (3:5.70-1) unstable; urgency=medium

  * Use dh-package-notes to record ELF package metadata.
  * Minor refactoring and Python style improvements for the autopkgtest tool.
  * New upstream version:
    - fix handling of a peer closing a TLS connection without proper TLS
      shutdown messaging. Closes: #1041545
    - drop the 07-tests-errmsg patch, integrated upstream
    - refresh the 02-rename-binary patch

 -- Peter Pentchev <roam@debian.org>  Thu, 20 Jul 2023 19:34:47 +0300

stunnel4 (3:5.68-2) unstable; urgency=medium

  * Add the 07-tests-errmsg patch to fix the FTBFS on several architectures
    caused by a hardcoded errno "connection reset" value.

 -- Peter Pentchev <roam@debian.org>  Sun, 12 Feb 2023 13:40:09 +0200

stunnel4 (3:5.68-1) unstable; urgency=medium

  * Drop the dependency on lsb-base, it is an empty transitional package for
    the essential sysvinit-utils one.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Bump the year in my debian/* copyright notice.
  * Lots of clean-up in the autopkgtest Python program; among others,
    drop support for Python 3.7 and 3.8.
  * New upstream release:
    - refresh the patches
    - update the years in the upstream copyright notice
    - remove the 04-restore-pidfile-default patch as warned years ago
    - add a news entry about the pidfile change

 -- Peter Pentchev <roam@debian.org>  Sat, 11 Feb 2023 22:20:39 +0200

stunnel4 (3:5.67-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * systemd: use PrivateUsers= in the user unit. Closes: #1023936

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Nov 2022 13:14:24 +0200

stunnel4 (3:5.67-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * Minor improvements to the development infrastructure of the autopkgtest
    suite:
    - set lower and upper bounds on the tox.ini dependencies
    - override two new complaints from pylint 2.15
    - add a Nix expression for running Tox with different Python versions
    - mark Python 3.10 and 3.11 as supported in setup.cfg
    - move the mypy configuration to the pyproject.toml file
  * New upstream release:
    - refresh the 02-rename-binary and 06-no-openssl-version-check-autopkgtest
      patches
    - refresh the line numbers in the 04-restore-pidfile-default patch
  * Reformat the header of the 06-no-openssl-version-check-autopkgtest patch.

 -- Peter Pentchev <roam@debian.org>  Thu, 03 Nov 2022 18:54:24 +0200

stunnel4 (3:5.63-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Simon Chopin ]
  * Fix autopkgtests on new OpenSSL versions (Closes: #1010698)

 -- Paul Gevers <elbrus@debian.org>  Wed, 31 Aug 2022 21:59:52 +0200

stunnel4 (3:5.63-1) unstable; urgency=medium

  * Explicitly declare dh-sequence-single-binary.
  * Use sysusers.d for the stunnel4 account and group.
  * Bump the debhelper compat level to 14 for dh_installsysusers.
  * Refresh the Python programming style of the autopkgtest suite:
    - use asyncio.Server, not AbstractServer, as a variable type
    - use ssl.PROTOCOL_TLS_CLIENT instead of the deprecated
      ssl.PROTOCOL_TLS and specify the hostname that we expect
      the server to send us a certificate for. Closes: #1004695
    - test with all supported Python versions
    - use version 22 of the black tool for formatting the source code
    - reformat with 100 characters per line
  * Reformat (with no content change) some debian/* files:
    - postinst and postrm: use tabs
    - copyright: single-character indent
    - logrotate: four-character indent
  * Add an EditorConfig definitions file for debian/*.
  * Add the year 2022 to my debian/* copyright notice.
  * New upstream release (Closes: #1004698):
    - fixes the build with OpenSSL 3.x. Closes: #1006577
    - no need to repack the upstream tarball any more: the files
      we excluded were dropped in version 5.61
    - drop the 06-des-hash patch, applied upstream
    - refresh patch line numbers
    - update the upstream copyright years
    - add pkg-config as a build dependency for the newly-used
      PKG_CHECK_VAR autoconf macro
  * Add some shell quoting to the postinst and postrm scripts.
  * Add a shellcheck configuration file for debian/*.
  * Add the 05-sample-sysconfdir patch to fix the expansion of
    @sysconfdir@ in the sample stunnel config file. Closes: #871916

 -- Peter Pentchev <roam@debian.org>  Sat, 19 Mar 2022 14:57:14 +0200

stunnel4 (3:5.60+dfsg-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.0 with no changes.
  * Add the 06-des-hash patch to fix a parameter type.
  * Switch the git-buildpackage branch back.
  * New upstream release:
    - refresh the patches
  * Upload to unstable.

 -- Peter Pentchev <roam@debian.org>  Thu, 19 Aug 2021 13:24:11 +0300

stunnel4 (3:5.59+dfsg-1) experimental; urgency=medium

  * Prepare gbp.conf for an experimental upload during the freeze.
  * Rewrite our runtime test in type-checked Python 3.
  * Record the upstream signature in the pristine-tar info.
  * New upstream version:
    - drop the 09-verify-redirect, 10-verify-noredirect,
      11-test-netcat-source, 12-bio-free, and 13-tls13 patches,
      they were originally taken from upstream
    - drop the 06-hup-separate, 07-imap-capabilities, and
      08-addrconfig-workaround patches, applied upstream
    - adapt the 04-restore-pidfile-default (hopefully for the last time,
      I intend to drop it after the release of bullseye)
    - drop all the existing corrections from the 05-typos patch,
      they were applied upstream, and add another correction instead

 -- Peter Pentchev <roam@debian.org>  Sun, 25 Apr 2021 22:35:28 +0300

stunnel4 (3:5.56+dfsg-10) unstable; urgency=medium

  * Allocate a new memory buffer for the pidfile path in
    the 04-restore-pidfile-default patch, since it may be freed when
    stunnel is reconfigured, e.g. on a SIGHUP.
    Closes: #987265; LP: #1901784

 -- Peter Pentchev <roam@debian.org>  Wed, 21 Apr 2021 09:12:28 +0300

stunnel4 (3:5.56+dfsg-9) unstable; urgency=medium

  * Add one more part to the 13-tls13 patch to hopefully fix a FTBFS
    because of a failing new test.

 -- Peter Pentchev <roam@debian.org>  Thu, 04 Mar 2021 12:06:17 +0200

stunnel4 (3:5.56+dfsg-8) unstable; urgency=medium

  * Add some patches cherry-picked from stunnel-5.57 and 5.58:
    - 09-verify-redirect and 10-verify-noredirect: CVE-2021-20230
    - 11-test-netcat-source: ensure netcat is invoked properly by
      the test suite
    - 12-bio-free: fix a memory allocation/deallocation inconsistency
    - 13-tls13: TLS 1.3 compatibility fixes needed to let the internal
      tests pass with the verification/redirect fixes

    All of this together Closes: #982578

 -- Peter Pentchev <roam@debian.org>  Thu, 04 Mar 2021 00:59:13 +0200

stunnel4 (3:5.56+dfsg-7) unstable; urgency=medium

  * Declare compliance with Policy 4.5.1 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * Drop some outdated information from README.Debian.
  * Add systemd per-config-file instance services.
  * Do not automatically enable the SysV stunnel4 service - it would
    conflict with the per-config-file instance services.

 -- Peter Pentchev <roam@debian.org>  Fri, 12 Feb 2021 00:28:35 +0200

stunnel4 (3:5.56+dfsg-6) unstable; urgency=medium

  * Add the 08-addrconfig-workaround patch for IPv6-only hosts.
    Closes: #970226

 -- Peter Pentchev <roam@debian.org>  Sun, 13 Sep 2020 13:43:33 +0300

stunnel4 (3:5.56+dfsg-5) unstable; urgency=medium

  * Various improvements and fixes to the runtime test:
    - destroy the stunnel version watcher on EOF
    - use AnyEvent->child(); Closes: #966692
    - control which AnyEvent loop is used
  * Depend on netcat-openbsd instead of ncat for the tests. Closes: #969560
  * Annotate test build dependencies with <!nocheck>.
  * Drop the "hardening-no-stackprotector" override - the Lintian check
    itself has been dropped.
  * Add the 07-imap-capabilities patch. Closes: #955043

 -- Peter Pentchev <roam@debian.org>  Sat, 12 Sep 2020 20:15:57 +0300

stunnel4 (3:5.56+dfsg-4) unstable; urgency=medium

  * Use ncat instead of netcat-traditional. Even though netcat-traditional
    is the original implementation of netcat that I grew up with,
    the Nmap project maintains their version and adds interesting features
    to it.
    Closes: #963260
  * Do not make whole rules targets disappear.

 -- Peter Pentchev <roam@debian.org>  Wed, 29 Jul 2020 10:27:47 +0300

stunnel4 (3:5.56+dfsg-3) unstable; urgency=medium

  * Restore some "else if" clauses in the 06-hup-separate patch.

 -- Peter Pentchev <roam@debian.org>  Sat, 02 May 2020 16:51:08 +0300

stunnel4 (3:5.56+dfsg-2) unstable; urgency=medium

  * Display the test logs if an upstream test fails during the build.
  * Make the autopkgtest failure reporting a bit more robust.

 -- Peter Pentchev <roam@debian.org>  Sat, 02 May 2020 15:59:00 +0300

stunnel4 (3:5.56+dfsg-1) unstable; urgency=medium

  * Make the "runtime" test a bit more robust.
    Closes: #955710, #954691
  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Drop the "Name" and "Contact" upstream metadata fields.
  * Update to debhelper compat level 13:
    - drop the conditional around the testing target
    - use "execute_before.." and "execute_after..." targets
  * Add the 06-hup-separate patch.  Closes: #949779
  * Repack the upstream source, excluding the prebuilt libraries in
    the Windows installer plugins.

 -- Peter Pentchev <roam@debian.org>  Sat, 02 May 2020 14:01:17 +0300

stunnel4 (3:5.56-1) unstable; urgency=medium

  * Mark the adequate autopkgtest as superficial.
  * Declare compliance with Debian Policy 4.4.1 with no changes.
  * New upstream version:
    - refresh the patch line numbers
    - reflect the renaming of some documentation files

 -- Peter Pentchev <roam@debian.org>  Thu, 28 Nov 2019 00:29:22 +0200

stunnel4 (3:5.55-2) unstable; urgency=medium

  * Fix our functional test's overzealous die() handler that caused
    both a FTBFS and an autopkgtest failure.

 -- Peter Pentchev <roam@debian.org>  Thu, 25 Jul 2019 18:38:38 +0300

stunnel4 (3:5.55-1) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.4.0 with no changes.
  * New upstream version:
    - refresh the 02-rename-binary patch
    - correct two different errors in the 05-typos patch

 -- Peter Pentchev <roam@debian.org>  Mon, 15 Jul 2019 14:30:07 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog stunnel4`.
